Grsecurity

Ceva timp în urmă Dabo Vorbesc despre grsecurity un nucleu în care au fost implementate multe măsuri de securitate.

Ce este Grsecurity?

Grsecurity® este un accesoriu cuprinzător de securitate pentru kernel Linux, apără împotriva unei game largi de amenințări de securitate prin controlul accesului inteligent, previne revărsările de memorie și o serie de alte probleme, ceea ce face ca sistemul să fie mai robust, care în general nu necesită nicio configurație. A fost dezvoltat și menținut activ în trecut 15 ani.

Cum îl instalez

Debian în versiunea sa instabilă are deja grsecurity în depozitele sale, este de așteptat ca în următoarea versiune stabilă să vină, Distribuțiile derivate de Debian, cum ar fi ubuntu sau Linux Mint, îl vor găzdui ulterior.

În manualul următor, vă voi învăța cum să îl instalați în debian.

Amintiți-vă înainte de a începe ce înseamnă culorile în aplicații și sisteme

texte scrise în linia de comandă: albastru
Ieșire în linia de comandă: Verde
Numele de fișiere și conținutul fișierului: maro

Mai întâi instalez debian jessie din imaginea netinstall

Odată instalat, modific fișierul /etc / apt / sources.list și o las ca mai jos:

deb http://ftp.es.debian.org/debian/ sid main
deb-src http://ftp.es.debian.org/debian/ sid main

Restul liniilor le las comentate și schimb jessie de la margine pentru a actualiza distribuția.

Actualizez distribuția rulând următoarele comenzi ca root:

actualizare apt-get
apt-get dist-upgrade
apt-get autoremove
repornire

Instalo Grsecurity, versiunea de kernel poate varia pentru a afla care este a ta pe care o conduc

apt-cache căutare grsecurity
.......
linux-image-4.4.0-1-grsec-amd64 - Linux 4.4 pentru PC-uri pe 64 de biți, Protecția de securitate
.......

Cu asta știu deja ce versiune am nevoie în cazul meu 4.4.0-1

Instalamos grsecurity, înlocuiți versiunea cu a voastră.

apt-get install linux-grsec-base linux-grsec-source-4.4 linux-grsec-support-4.4.0-1 linux-headers-4.4.0-1-common-grsec linux-headers-4.4.0-1- grsec-amd64 linux-image-4.4.0-1-grsec-amd64

Reporniți apoi verificați dacă funcționează grsecurity:

uname -a
Aplicații și sisteme Linux 4.4.0-1-grsec-amd64 #1 SMP Debian 4.4.6-1 + grsec201603171922 + 1 (2016-03-19 x86_64 GNU / Linux

Sper că vi se pare util și mulțumesc că ați citit blogul nostru.


Despre Ignacio Alba Obaya

Microcomputer tehnic și antrenor pentru ocuparea forței de muncă. Iubitor de noi tehnologii. Manager de GNU / Linux și Windows.

Lasă un Răspuns

Adresa ta de email nu va fi publicată.